virtuemart 1.1.2 stable messing with CB 1.2 RC3

12 years 11 months ago #79103 by fabf
Hi everybody,

I got a fresh installation of J! 1.5.7 (legacy mode) with
the CB 1.2 RC3 and FireBoard 1.0.5 RC2. So far, that worked.

After installing VirtueMart (1.1.2 stable), though, strange
stuff happens.

I logged into the front end, with a Superadmin account,
and bought some sample articles. The shop requested my address
etc, then echoed a confirmation and sent out a confirmation mail. After that, I lost my Superadmin privilege!

In the database, I found the following:
- Superadmin's gid in jos_users had been changed (to 2)
- His entry in jos_core_acl_groups_aro_map had been removed
entirely

After inserting his line in the latter and restoring the
gid=25 in the former, the account was back in place (sigh).

What has been going wrong here? Can I risk using virtuemart with CB after all? Should I downgrade any of the components?

thanks all,
fabf

Please Log in to join the conversation.

12 years 11 months ago #79344 by fabf
*push*

any working setup, or at least one that won't break the
database, with CB 1.2 RC3 and virtuemart?

Please Log in to join the conversation.

12 years 11 months ago #79477 by beat
Which login module did you use to login ?

VirtueMart and CB aren't integrated (yet).

The good news is that I'm seeing Soeren from VirtueMart team on Saturday in Lucerne, so I'm pretty sure we will address that topic ;)

Beat - Community Builder Team Member

Before posting on forums: Read FAQ thoroughly -- Help us spend more time coding by helping others in this forum, many thanks :)
CB links: Our membership - CBSubs - Templates - Hosting - Forge - Send me a Private Message (PM) only for private/confidential info

Please Log in to join the conversation.

12 years 11 months ago #79506 by fabf
@beat: the CB login module.

I solved some of the problems by downgrading VM to
a version < 1.1. I'll elaborate on that in a separate post.
:)

fabf

Please Log in to join the conversation.

12 years 11 months ago #79510 by fabf
Hi all,

I changed my setup in the following way, and so far,
it kind of works :-)

Joomla: current stable (1.5.7) in legacy mode
CB: current RC3 (1.2 RC3)
Virtuemart: 1.0.15
VM CB plugin by Ben@e-motion: last version for J! 1.0.* (plugin version: 0.1.12)

I am starting a new thread since the subject doesnt seem to
fit any more. Please follow up here. Thanks :)

fabf

Post edited by: fabf, at: 2008/11/12 18:06

Please Log in to join the conversation.

12 years 10 months ago #80982 by sock2me
I am still waiting for conformation in regards to my last post:

Just to confirm. This is what I read when I go to VM's website:

VirtueMart 1.0.x is not compatible to Joomla! 1.5!

Yet that seems to be exactly what you are doing, correct?

Before I overwrite my VM 1.1.2 , I want to be sure I can ignore this warning...

Post edited by: sock2me, at: 2008/11/30 23:59

Post edited by: sock2me, at: 2009/01/25 22:08

Please Log in to join the conversation.

Moderators: beatnantkrileon
Time to create page: 0.220 seconds

Facebook Twitter LinkedIn